%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-marshalling
Version:          1.4.11
Release:          7%{?dist}
Summary:          JBoss Marshalling
# LGPLv2 ./serial/src/main/java/org/jboss/marshalling/serial/UnknownDescriptor.java
License:          ASL 2.0 and LGPLv2+
URL:              http://jbossmarshalling.jboss.org/
BuildArch:        noarch

Source0:          https://github.com/jboss-remoting/jboss-marshalling/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)
BuildRequires:    mvn(org.testng:testng)
%if 0%{?fedora}
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)
%endif

%description
JBoss Marshalling is an alternative serialization API that fixes many
of the problems found in the JDK serialization API while remaining
fully compatible with java.io.Serializable and its relatives, and adds
several new tunable parameters and additional features, all of which
are pluggable via factory configuration (externalizers, class/instance
lookup tables, class resolution, and object replacement, to name a
few).

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains %{summary}.

%package osgi
Summary:          JBoss Marshalling OSGi Bundle

%description osgi
JBoss Marshalling OSGi Bundle.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin -r :maven-shade-plugin
%pom_disable_module tests

# Conditionally remove dependency on apiviz
if [ %{?rhel} ]; then
    %pom_remove_plugin :maven-javadoc-plugin
fi

%mvn_package :jboss-marshalling-osgi osgi

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files osgi -f .mfiles-osgi

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 1.4.11-1
- update to 1.4.11.Final

* Sat Jul 09 2016 gil cattaneo <puntogil@libero.it> 1.4.10-2
- add osgi sub package

* Tue May 31 2016 gil cattaneo <puntogil@libero.it> 1.4.10-1
- update to 1.4.10.Final

* Tue Mar 01 2016 gil cattaneo <puntogil@libero.it> 1.4.6-4
- fix FTBFS rhbz#1307648
- add BR jdepend
- introduce license macro
- fix erroneous dates

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 12 2014 Marek Goldmann <mgoldman@redhat.com> - 1.4.6-1
- Upstream release 1.4.6.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.1-1
- Upstream release 1.4.1.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 18 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.13-8
- Remove unneeded BRs
- Use better descriptions
- Update to current packaging guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3.13-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Oct 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.13-5
- Conditionally remove dependency on apiviz

* Mon Oct 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.3.13-4
- Remove unneeded BR: gdata-java, maven-surefire-provider-testng, testng

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.13-2
- Added missing BR

* Fri Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.13-1
- Upstream release 1.3.13.GA

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.9-2
- Relocated jars to _javadir

* Thu Feb 23 2012 Marek Goldmann <mgoldman@redhat.com> 1.3.9-1
- Upstream release 1.3.9.GA
- Changed java devel build requirement to 6 or above, RHBZ#796464

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.4-1
- Upstream release 1.3.4.GA

* Fri Oct 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.0-2
- Cleaned spec file

* Mon Aug 01 2011 Marek Goldmann <mgoldman@redhat.com> 1.3.0-1
- Initial packaging

